# Uses of Class
org.apache.lucene.search.SynonymQuery.Builder

Packages that use SynonymQuery.Builder
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of SynonymQuery.Builder in org.apache.lucene.search

  Methods in org.apache.lucene.search that return SynonymQuery.Builder
  Modifier and Type
  Method
  Description
  `SynonymQuery.Builder`
  SynonymQuery.Builder.`addTerm(Term term)`
  Adds the provided `term` as a synonym.
  `SynonymQuery.Builder`
  SynonymQuery.Builder.`addTerm(Term term, float boost)`
  Adds the provided `term` as a synonym, document frequencies of this term will be boosted by `boost`.
  `SynonymQuery.Builder`
  SynonymQuery.Builder.`addTerm(BytesRef term, float boost)`
  Adds the provided `term` as a synonym, document frequencies of this term will be boosted by `boost`.